| ghc-6.10.4: The GHC API | Contents | Index

RegAllocLinear

Synopsis

regAlloc :: LiveCmmTop -> UniqSM (NatCmmTop, Maybe RegAllocStats)
data RegAllocStats
pprStats :: [NatCmmTop] -> [RegAllocStats] -> SDoc

Documentation
regAlloc :: LiveCmmTop -> UniqSM (NatCmmTop, Maybe RegAllocStats)
data RegAllocStats

Used to carry interesting stats out of the register allocator.

pprStats :: [NatCmmTop] -> [RegAllocStats] -> SDoc
Pretty print some RegAllocStats
Produced by Haddock version 2.4.2